﻿@using System.Web.UI.WebControls;
@using Portal.Models.PcToBeReleased;

@section Script{       
  $(document).ready(function() { 
     var StatusApprove = @Html.Raw(Json.Encode(ViewData["StatusApprove"]));
              var StatusReject = @Html.Raw(Json.Encode(ViewData["StatusReject"]));
              var AprovalStatus = @Html.Raw(Json.Encode(ViewData["AprovalStatus"]));
      
              if ( (StatusApprove == "Enabled") || (StatusReject == "Enabled") ) {
                      ReleaseApproval.SetEnabled(true);
                       Reject.SetEnabled(true);
              } else {
                     ReleaseApproval.SetEnabled(false);
                     Reject.SetEnabled(false);
              }

  }
}

 
 <div class="popHeadWrap">
    <div class="buPopWrap">
  @* @Html.Partial("PartialHeaderApprovalNoPop")   *@
   @Html.Action("PCToBeReleasedHeaderDetails", "PcToBeReleased", new { PCNo = ViewData.Eval("PCNo") })
   </div>
 </div>  

 <div style="height:10px;"></div>
<div>
@{
    Html.RenderAction("PCToBeReleasedDetailPartial", "PcToBeReleased", new { PCNo = ViewData.Eval("PCNo") }); 
   }
</div>
<div class="buPopWrap">
<div class="buright">
 @Html.DevExpress().Button(
        b =>
        {
            b.Text = "Close";
            b.Name = "BtnClose";
            b.Width = Unit.Pixel(80);
            b.ClientSideEvents.Click = "HideDetail";
            b.ClientEnabled = true;
        }).GetHtml()
</div>
</div>
@*<div>

 @Html.DevExpress().RoundPanel(
    settings =>
    {
        settings.Name = "frmFooter";
        settings.HeaderText = "PcToBeReleased Overview";
        settings.ShowHeader = true;
        settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
        settings.Width = Unit.Percentage(100);
        settings.SetContent(() =>
        {
            @Html.RenderPartial("FooterPrice");
        });
    }).GetHtml()

    
</div>*@
   

